Bug 987663 - distribution download should not use curl downloader
distribution download should not use curl downloader
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
2.2 Beta
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.2.0
Assigned To: Michael Hrivnak
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 16:12 EDT by Michael Hrivnak
Modified: 2013-09-10 11:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:44:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Hrivnak 2013-07-23 16:12:25 EDT
The part of the new yum importer that downloads the treeinfo file and other associated distribution files still uses the curl downloader backend in nectar, which it should not do.

There are currently inexplicable download failures while downloading these files from certain repositories, and those errors are not present after switching to the requests/eventlet downloader backend. The curl downloader is reporting timeouts for many of these files.
Comment 2 Michael Hrivnak 2013-07-23 16:58:55 EDT
https://github.com/pulp/pulp_rpm/pull/280
Comment 3 Jeff Ortel 2013-07-26 19:09:04 EDT
build: 2.2.0-0.22.beta
Comment 4 Preethi Thomas 2013-08-06 14:30:15 EDT
[root@cloud-qe-14 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.24.beta.el6.noarch
[root@cloud-qe-14 ~]# 

[root@cloud-qe-14 ~]# pulp-admin rpm repo create --repo-id=foo --feed=http://cdn.rcm-test.redhat.com/content/dist/rhel/server/6/6Server/x86_64/kickstart/ --skip=rpm,drpm,erratum
Successfully created repository [foo]

[root@cloud-qe-14 ~]# pulp-admin rpm repo sync run --repo-id=foo
+----------------------------------------------------------------------+
                     Synchronizing Repository [foo]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[-]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       0/0 items
Delta RPMs: 0/0 items

... completed

Downloading distribution files...
[==================================================] 100%
Distributions: 7/7 items
... completed

Importing package groups/categories...
[|]
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 7/7 items
... completed

Generating metadata
[\]
... completed

Publishing repository over HTTPS
[-]
... completed

[root@cloud-qe-14 ~]#
Comment 5 Preethi Thomas 2013-09-10 11:44:11 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.